%define oname mp4v2

%define major		2
%define libname		%mklibname mp4v2_ %{major}
%define develname	%mklibname -d mp4v2

Summary:	Library for working with files using the mp4 container format
Name:		libmp4v2
Epoch:   	1
Version:	2.1.0
Release:	%mkrel 0.4
License:	MPLv1.1
Group:		System/Libraries
URL:		http://code.google.com/p/mp4v2/
Source0:	mp4v2-trunk-r507.tar.bz2
Patch1:		0001-Fix-make-dist.patch
Patch2:		0002-Install-man-man3-BTW-like-in-libmp4v2-1.5.0.1.patch
Patch3:		0003-Fix-out-of-tree-builds-182.patch
Patch4:		0004-Fix-GCC7-build.patch
# CVE-2018-14054
Patch5:		0005-Null-out-pointer-after-free-to-prevent-double-free.patch
# CVE-2018-14403
Patch6:		0006-Check-MP4NameFirstMatches-loop-termination-condition-mo.patch
# CVE-2018-14379
Patch7:		0007-Do-not-allow-an-ilst-atom-to-have-an-ilst-child-atom.patch
# CVE-2018-14326 and CVE-2018-14446
Patch8:		0008-fix-vulnerability-where-an-atom-list-size-is-enormous.patch
# CVE-2018-14325
Patch9:		0009-Throw-exception-when-invalid-atom-size-would-cause-int.patch

BuildRequires:	doxygen
BuildRequires:	locales-en
BuildRequires:	texinfo

%description
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %{libname}
Group:		System/Libraries
Summary:	Library for working with files using the mp4 container format

%description -n %{libname}
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

%package -n %{develname}
Summary:	Development files for the mp4v2 library
Group:		Development/C++
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Provides:	%{oname}-devel = %{epoch}:%{version}-%{release}
Provides:	lib%{oname}-devel = %{epoch}:%{version}-%{release}

%description -n %{develname}
Development files and documentation needed to develop and compile programs
using the libmp4v2 library.

%package utils
Group:		Sound/Utilities
Summary:	Command line utils to handle MP4 metadata
# Man pages was moved from devel pkg to utils pkg
Conflicts:      %{_lib}mp4v2-devel < 1:2.0.0-4

%description utils
The libmp4v2 library provides an abstraction layer for working with files
using the mp4 container format. This library is developed by mpeg4ip project
and is an exact copy of the library distributed in the mpeg4ip package.

This contains the command line example utilities.

%prep
%setup -q -n %{oname}-trunk
%autopatch -p1

%build
autoreconf -fi
%configure2_5x \
    --disable-static \
    --disable-dependency-tracking
%make_build
env LC_ALL=en_US.UTF-8 make doc

%install
%make_install

rm -rf %{buildroot}%{_mandir}/manm/ %{buildroot}%{_libdir}/*.la

%files utils
%doc COPYING
%{_bindir}/mp4art
%{_bindir}/mp4chaps
%{_bindir}/mp4extract
%{_bindir}/mp4file
%{_bindir}/mp4info
%{_bindir}/mp4subtitle
%{_bindir}/mp4tags
%{_bindir}/mp4track
%{_bindir}/mp4trackdump
%{_mandir}/man1/mp4art.1.*
%{_mandir}/man1/mp4file.1.*
%{_mandir}/man1/mp4subtitle.1.*
%{_mandir}/man1/mp4track.1.*

%files -n %{libname}
%doc COPYING
%{_libdir}/lib%{oname}.so.%{major}{,.*}

%files -n %{develname}
%doc doc/articles/txt/*.txt
%{_includedir}/%{oname}/
%{_libdir}/lib%{oname}.so
%{_mandir}/man3/*.3.*


%changelog
* Fri Jan 24 2020 daviddavid <daviddavid> 1:2.1.0-0.4.mga7
+ Revision: 1482679
- add upstream patches to fix CVE-2018-1432[56], CVE-2018-14379,
  CVE-2018-14403 and CVE-2018-14446 (mga#25962)

* Thu Jan 17 2019 zezinho <zezinho> 1:2.1.0-0.3.mga7
+ Revision: 1357666
- patch security fix mga#24175 by aguichard

* Sun Sep 23 2018 umeabot <umeabot> 1:2.1.0-0.2.mga7
+ Revision: 1299005
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use make_install

* Thu Oct 05 2017 cjw <cjw> 1:2.1.0-0.1.mga7
+ Revision: 1169174
- add buildrequires: doxygen
- add buildrequires: texinfo
- sync sources with fedora:
  o update to last svn commit on defunct code.google.com
  o install devel man pages
  o fix build with gcc 7

* Mon Feb 08 2016 umeabot <umeabot> 1:2.0.0-9.mga6
+ Revision: 948188
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.0-8.mga5
+ Revision: 750753
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:2.0.0-7.mga5
+ Revision: 726765
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:2.0.0-6.mga5
+ Revision: 681614
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.0-5.mga4
+ Revision: 529876
- Mageia 4 Mass Rebuild

* Sat Jul 13 2013 wally <wally> 1:2.0.0-4.mga4
+ Revision: 453905
- add more generic mp4v2-devel provide to devel pkg
- move man pages to utils pkg
- drop old Mdv era obsoletes and conflicts
- clean .spec a bit

* Sat Jan 12 2013 umeabot <umeabot> 1:2.0.0-3.mga3
+ Revision: 357797
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 ovitters <ovitters> 1:2.0.0-2.mga3
+ Revision: 323413
- clean spec
- fix rpm group

* Sat Jun 16 2012 fwang <fwang> 1:2.0.0-1.mga3
+ Revision: 260989
- new version 2.0.0

* Wed Jan 19 2011 ahmad <ahmad> 1:1.9.1-4.mga1
+ Revision: 24993
- drop old/unneeded scriptlets
- imported package libmp4v2


* Mon Nov 29 2010 Funda Wang <fwang@mandriva.org> 1:1.9.1-3mdv2011.0
+ Revision: 602823
- update file list

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1:1.9.1-2mdv2010.1
+ Revision: 520886
- rebuilt for 2010.1

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 1:1.9.1-1mdv2010.0
+ Revision: 396216
- update to new version 1.9.1

* Wed May 27 2009 Götz Waschk <waschk@mandriva.org> 1:1.9.0-1mdv2010.0
+ Revision: 380197
- new version
- add epoch

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 2.0-0.20090515.1mdv2010.0
+ Revision: 376833
- new snapshot

* Mon Jan 12 2009 Götz Waschk <waschk@mandriva.org> 2.0-0.20090110.1mdv2009.1
+ Revision: 328531
- switch to new fork
- update file list
- fix format strings

* Wed Aug 06 2008 Thierry Vignaud <tv@mandriva.org> 1.5.0.1-2mdv2009.0
+ Revision: 264840
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Apr 08 2008 Götz Waschk <waschk@mandriva.org> 1.5.0.1-1mdv2009.0
+ Revision: 192388
- import libmp4v2


* Mon Mar 31 2008 Götz Waschk <waschk@mandriva.org> 1.5.0.1-1mdv2008.1
- initial Mandriva package based on the Fedora spec

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.5.0.1-6
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-5
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 1.5.0.1-4
- Update License field.

* Fri Dec 15 2006 Matthias Saou <http://freshrpms.net/> 1.5.0.1-3
- Spec file cleanup (habits, mostly) preparing to submit for Extras inclusion.

* Fri Oct 06 2006 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> 1.5.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Jul 18 2006 Noa Resare <noa@resare.com> 1.5.0.1-1
- new upstream release

* Sat May 13 2006 Noa Resare <noa@resare.com> 1.4.1-3
- disabled static lib
- use DESTDIR
- disable-dependency-tracking for faster builds
- removed a manpage template file apt.mpt.gz

* Mon May 08 2006 Noa Resare <noa@resare.com> 1.4.1-2
- specfile cleanups

* Fri May 05 2006 Noa Resare <noa@resare.com> 1.4.1-1.lvn5
- initial release

